Incorrect label in Software Updater

Bug #1901377 reported by Francisco Milán on 2020-10-25
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
High
Brian Murray
Groovy
High
Brian Murray

Bug Description

Hi there,

     I have Ubuntu 20.04 and I'm using Software Updater to upgrade to Groovy Gorilla, the "Distribution Update" dialog box says "Upgrading Ubuntu to version 20.04" but this is incorrect, I'm actually upgrading to version 20.10.

Best regards,

Paco Milan.

Francisco Milán (paco-milan) wrote :
summary: - Incorrect label in Software Updated
+ Incorrect label in Software Updater
description: updated
description: updated
Dan Wood (dan-wood) wrote :

I noticed this too, upgrading from 20.04 to 20.10

Managed to grab a screenshot as proof! :)

Dan Wood (dan-wood) wrote :

I'm not sure if this bug should be filed against update-manager rather than snap-store-desktop?

Dan Wood (dan-wood) wrote :

Or maybe ubuntu-release-upgrader ?

Dan Wood (dan-wood) on 2020-10-25
affects: snap-store-desktop → ubuntu-release-upgrader
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
affects: ubuntu-release-upgrader → ubuntu-release-upgrader (Ubuntu)
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
milestone: none → groovy-updates
Changed in ubuntu-release-upgrader (Ubuntu):
status: Triaged → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
milestone: none → groovy-updates
Changed in ubuntu-release-upgrader (Ubuntu):
milestone: groovy-updates → none
Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Invalid

Hello Francisco, or anyone else affected,

Accepted ubuntu-release-upgrader into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.10.13 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-groovy
Francisco Milán (paco-milan) wrote :

Hi Timo,

    Shouldn't this fix be accepted into focal-proposed instead?

As you can see in the attached image, I would be able to test it with:
> "Software & Updates"
> "Developer Options"
> "Pre-released updates (focal-proposed)"

Thanks,

Paco Milan.

On Sun, Nov 01, 2020 at 03:38:59AM -0000, Francisco Milan wrote:
> Hi Timo,
>
> Shouldn't this fix be accepted into focal-proposed instead?

No, as the release upgrader downloads a tarball of the code from the
release to which you are upgrading i.e. groovy.

--
Brian Murray

Brian Murray (brian-murray) wrote :

I've verified that this is fixed by running do-release-upgrade -p and seeing 20.10 in the dialog. You can see this in the attached screenshot.

tags: added: verification-done verification-done-groovy
removed: verification-needed verification-needed-groovy
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.10.13

---------------
ubuntu-release-upgrader (1:20.10.13) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Replace python-dev with
    python-dev-is-python2 rather than with nothing as that is a better upgrade
    path. (LP: #1887544)
  * DistUpgrade/DistUpgradeViewGtk3.py, DistUpgrade/DistUpgradeViewKDE.py:
    Change the window label from 20.04 to 20.10. (LP: #1901377)
  * Update mirrors and demotions.

 -- Brian Murray <email address hidden> Mon, 26 Oct 2020 10:41:49 -0700

Changed in ubuntu-release-upgrader (Ubuntu Groovy):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers